#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  okular-24.12.2

- Next

  gwenview-24.12.2

- Up
- Home

# libkdcraw-24.12.2

## Introduction to libkdcraw

Libkdcraw is a KDE wrapper around the libraw-0.21.3 library for manipulating image metadata.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/libkdcraw-24.12.2.tar.xz

- Download MD5 sum: e9a0e5d42442ecdfe8169858c989f00c

- Download size: 40 KB

- Estimated disk space required: 1.8 MB

- Estimated build time: less than 0.1 SBU

### libkdcraw Dependencies

#### Required

KDE Frameworks-6.11.0 and libraw-0.21.3

## Installation of libkdcraw

Install libkdcraw by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -D QT_MAJOR_VERSION=6               \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Library: libKDcrawQt6.so
Installed Directories: $KF6_PREFIX/include/KDcrawQt6 and $KF6_PREFIX/lib/cmake/KDcrawQt6

- Prev

  okular-24.12.2

- Next

  gwenview-24.12.2

- Up
- Home